#
# check asterisk accounts
#
if [ -z "$(grep ^asterisk /etc/group)" ]; then
  groupadd -g 305 asterisk
fi
if [ -z "$(grep ^asterisk /etc/passwd)" ]; then
  useradd -u 305 -g 305 -d /var/lib/asterisk -s /bin/false -c "Asterisk PBX" asterisk
fi

chown -R asterisk:asterisk /var/run/asterisk
chown -R asterisk:asterisk /var/log/asterisk
chown -R asterisk:asterisk /var/spool/asterisk
chown -R asterisk:asterisk /var/lib/asterisk

config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/asterisk/asterisk.conf.new
